<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myPaymentHistoryLabel" jhiTranslate="mpmApp.paymentHistory.home.createOrEditLabel">Create or edit a Payment History</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!paymentHistory.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="paymentHistory.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentHistory.idpayhist" for="field_idpayhist">Idpayhist</label>
            <input type="text" class="form-control" name="idpayhist" id="field_idpayhist"
                [(ngModel)]="paymentHistory.idpayhist"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentHistory.idpay" for="field_idpay">Idpay</label>
            <input type="text" class="form-control" name="idpay" id="field_idpay"
                [(ngModel)]="paymentHistory.idpay"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentHistory.totalpay" for="field_totalpay">Totalpay</label>
            <input type="number" class="form-control" name="totalpay" id="field_totalpay"
                [(ngModel)]="paymentHistory.totalpay"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentHistory.createdby" for="field_createdby">Createdby</label>
            <input type="text" class="form-control" name="createdby" id="field_createdby"
                [(ngModel)]="paymentHistory.createdby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentHistory.dtcreated" for="field_dtcreated">Dtcreated</label>
            <div class="d-flex">
                <input id="field_dtcreated" type="datetime-local" class="form-control" name="dtcreated" [(ngModel)]="paymentHistory.dtcreated"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentHistory.description" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description"
                [(ngModel)]="paymentHistory.description"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentHistory.nogiro" for="field_nogiro">Nogiro</label>
            <input type="text" class="form-control" name="nogiro" id="field_nogiro"
                [(ngModel)]="paymentHistory.nogiro"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentHistory.nopayfin" for="field_nopayfin">Nopayfin</label>
            <input type="text" class="form-control" name="nopayfin" id="field_nopayfin"
                [(ngModel)]="paymentHistory.nopayfin"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentHistory.dtrelease" for="field_dtrelease">Dtrelease</label>
            <div class="d-flex">
                <input id="field_dtrelease" type="datetime-local" class="form-control" name="dtrelease" [(ngModel)]="paymentHistory.dtrelease"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.paymentHistory.dtpay" for="field_dtpay">Dtpay</label>
            <div class="d-flex">
                <input id="field_dtpay" type="datetime-local" class="form-control" name="dtpay" [(ngModel)]="paymentHistory.dtpay"
                  />
            </div>
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
